syncio_file.h File Reference
`#include <gwenhywfar/syncio.h>`

Go to the source code of this file.

## Macros

#define | GWEN_SYNCIO_FILE_FLAGS_APPEND 0x00000008
#define | GWEN_SYNCIO_FILE_FLAGS_GEXEC 0x00004000
#define | GWEN_SYNCIO_FILE_FLAGS_GREAD 0x00001000
#define | GWEN_SYNCIO_FILE_FLAGS_GWRITE 0x00002000
#define | GWEN_SYNCIO_FILE_FLAGS_OEXEC 0x00040000
#define | GWEN_SYNCIO_FILE_FLAGS_OREAD 0x00010000
#define | GWEN_SYNCIO_FILE_FLAGS_OWRITE 0x00020000
#define | GWEN_SYNCIO_FILE_FLAGS_RANDOM 0x00000010
#define | GWEN_SYNCIO_FILE_FLAGS_READ 0x00000001
#define | GWEN_SYNCIO_FILE_FLAGS_UEXEC 0x00000400
#define | GWEN_SYNCIO_FILE_FLAGS_UREAD 0x00000100
#define | GWEN_SYNCIO_FILE_FLAGS_UWRITE 0x00000200
#define | GWEN_SYNCIO_FILE_FLAGS_WRITE 0x00000002
#define | GWEN_SYNCIO_FILE_TYPE "file"

## Enumerations

enum | GWEN_SYNCIO_FILE_CREATIONMODE { GWEN_SyncIo_File_CreationMode_Unknown =-1 , GWEN_SyncIo_File_CreationMode_OpenExisting =0 , GWEN_SyncIo_File_CreationMode_CreateNew , GWEN_SyncIo_File_CreationMode_CreateAlways , GWEN_SyncIo_File_CreationMode_OpenAlways , GWEN_SyncIo_File_CreationMode_TruncateExisting }
enum | GWEN_SYNCIO_FILE_WHENCE { GWEN_SyncIo_File_Whence_Set =0 , GWEN_SyncIo_File_Whence_Current , GWEN_SyncIo_File_Whence_End }

## Functions

GWENHYWFAR_API GWEN_SYNCIO * | GWEN_SyncIo_File_fromStderr (void)
GWENHYWFAR_API GWEN_SYNCIO * | GWEN_SyncIo_File_fromStdin (void)
GWENHYWFAR_API GWEN_SYNCIO * | GWEN_SyncIo_File_fromStdout (void)
GWENHYWFAR_API const char * | GWEN_SyncIo_File_GetPath (const GWEN_SYNCIO *sio)
GWENHYWFAR_API GWEN_SYNCIO * | GWEN_SyncIo_File_new (const char *path, GWEN_SYNCIO_FILE_CREATIONMODE cm)
GWENHYWFAR_API int64_t | GWEN_SyncIo_File_Seek (GWEN_SYNCIO *sio, int64_t pos, GWEN_SYNCIO_FILE_WHENCE whence)

## Macro Definition Documentation

## GWEN_SYNCIO_FILE_FLAGS_APPEND

#define GWEN_SYNCIO_FILE_FLAGS_APPEND 0x00000008

Definition at line 55 of file syncio_file.h.

## GWEN_SYNCIO_FILE_FLAGS_GEXEC

#define GWEN_SYNCIO_FILE_FLAGS_GEXEC 0x00004000

Definition at line 64 of file syncio_file.h.

## GWEN_SYNCIO_FILE_FLAGS_GREAD

#define GWEN_SYNCIO_FILE_FLAGS_GREAD 0x00001000

Definition at line 62 of file syncio_file.h.

## GWEN_SYNCIO_FILE_FLAGS_GWRITE

#define GWEN_SYNCIO_FILE_FLAGS_GWRITE 0x00002000

Definition at line 63 of file syncio_file.h.

## GWEN_SYNCIO_FILE_FLAGS_OEXEC

#define GWEN_SYNCIO_FILE_FLAGS_OEXEC 0x00040000

Definition at line 68 of file syncio_file.h.

## GWEN_SYNCIO_FILE_FLAGS_OREAD

#define GWEN_SYNCIO_FILE_FLAGS_OREAD 0x00010000

Definition at line 66 of file syncio_file.h.

## GWEN_SYNCIO_FILE_FLAGS_OWRITE

#define GWEN_SYNCIO_FILE_FLAGS_OWRITE 0x00020000

Definition at line 67 of file syncio_file.h.

## GWEN_SYNCIO_FILE_FLAGS_RANDOM

#define GWEN_SYNCIO_FILE_FLAGS_RANDOM 0x00000010

Definition at line 56 of file syncio_file.h.

## GWEN_SYNCIO_FILE_FLAGS_READ

#define GWEN_SYNCIO_FILE_FLAGS_READ 0x00000001

Definition at line 53 of file syncio_file.h.

## GWEN_SYNCIO_FILE_FLAGS_UEXEC

#define GWEN_SYNCIO_FILE_FLAGS_UEXEC 0x00000400

Definition at line 60 of file syncio_file.h.

## GWEN_SYNCIO_FILE_FLAGS_UREAD

#define GWEN_SYNCIO_FILE_FLAGS_UREAD 0x00000100

Definition at line 58 of file syncio_file.h.

## GWEN_SYNCIO_FILE_FLAGS_UWRITE

#define GWEN_SYNCIO_FILE_FLAGS_UWRITE 0x00000200

Definition at line 59 of file syncio_file.h.

## GWEN_SYNCIO_FILE_FLAGS_WRITE

#define GWEN_SYNCIO_FILE_FLAGS_WRITE 0x00000002

Definition at line 54 of file syncio_file.h.

## GWEN_SYNCIO_FILE_TYPE

#define GWEN_SYNCIO_FILE_TYPE "file"

Definition at line 32 of file syncio_file.h.

## Enumeration Type Documentation

## GWEN_SYNCIO_FILE_CREATIONMODE

enum GWEN_SYNCIO_FILE_CREATIONMODE

Enumerator
GWEN_SyncIo_File_CreationMode_Unknown |
GWEN_SyncIo_File_CreationMode_OpenExisting |
GWEN_SyncIo_File_CreationMode_CreateNew |
GWEN_SyncIo_File_CreationMode_CreateAlways |
GWEN_SyncIo_File_CreationMode_OpenAlways |
GWEN_SyncIo_File_CreationMode_TruncateExisting |

Definition at line 36 of file syncio_file.h.

## GWEN_SYNCIO_FILE_WHENCE

enum GWEN_SYNCIO_FILE_WHENCE

Enumerator
GWEN_SyncIo_File_Whence_Set |
GWEN_SyncIo_File_Whence_Current |
GWEN_SyncIo_File_Whence_End |

Definition at line 46 of file syncio_file.h.

## Function Documentation

## GWEN_SyncIo_File_fromStderr()

GWENHYWFAR_API GWEN_SYNCIO * GWEN_SyncIo_File_fromStderr | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_File_fromStdin()

GWENHYWFAR_API GWEN_SYNCIO * GWEN_SyncIo_File_fromStdin | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_File_fromStdout()

GWENHYWFAR_API GWEN_SYNCIO * GWEN_SyncIo_File_fromStdout | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_File_GetPath()

GWENHYWFAR_API const char * GWEN_SyncIo_File_GetPath | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_File_new()

GWENHYWFAR_API GWEN_SYNCIO * GWEN_SyncIo_File_new | ( | const char * | path,
|  | GWEN_SYNCIO_FILE_CREATIONMODE | cm )

References GWENHYWFAR_API.

## GWEN_SyncIo_File_Seek()

GWENHYWFAR_API int64_t GWEN_SyncIo_File_Seek | ( | GWEN_SYNCIO * | sio,
|  | int64_t | pos,
|  | GWEN_SYNCIO_FILE_WHENCE | whence )